[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TFilterStringOption

String filter options which can be enabled in controls.

## Declaration

Source position: editbtn.pas line 210

`type TFilterStringOption = (`
`fsoCaseSensitive,` |  | Value comparisons are case sensitive.
`fsoMatchOnlyAtStart` |  | Value comparisons start at the beginning to the string value.
`);`

## Description

TFilterStringOption is an enumerated type with values representing string filter options which can be enabled in controls which support the feature. TFilterStringOption values are stored in the TFilterStringOptions set type used to implement the FilterOptions property in TCustomControlFilterEdit.

## See also

TFilterStringOptions |  | Set type used to store values from the TFilterStringOption enumeration.
TCustomControlFilterEdit.FilterOptions |  | Contains options which control string comparisons using the Filter for the control.